Bug 229358 - Cannot adjust brightness on Dell 640m with Intel 945GM graphics
Cannot adjust brightness on Dell 640m with Intel 945GM graphics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-20 11:25 EST by Peter Lemieux
Modified: 2008-05-06 15:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Lemieux 2007-02-20 11:25:14 EST
Description of problem:

This seems to be a problem common to notebooks using Intel 9xx video.  I have a
Dell 640m (Intel 945GM) where the brightness is controlled by a special key
combination (Fn+Up or Fn+Down).  These do not work once I'm past the BIOS
welcome screen.  If I hit the Fn+Up keys during bootup I can change the
brightness, but once the grub splash screen appears these keys no longer work.

Hitting Fn+Up while in text mode after boot up results in the following errors:

atkbd.c Unknown key pressed (translated set 2, code 0x86 on isa0060/serio0)
atkbd.c Use 'setkeycodes e006 <keycode>' to make it known.
video device notify

I don't know what the last line means here since it's not preceded with atkbd.c.
 Obviously if I knew what keycode to use, I could put a setkeycodes command into
/etc/rc.local.  

See, for similar reports, http://ubuntuforums.org/showthread.php?t=290994.

There are similar bug reports here of problems with brightness control on other
notebooks.  My bet is that we're all experiencing the same problems.


Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Boot up.
2. Wait for login screen. Press Fn+Up/Down.  
3. Nothing happens.
  
Actual results:
no change in brightness

Expected results:
brightness up or down

Additional info:
Comment 1 Peter Lemieux 2007-02-20 13:00:23 EST
I forgot to mention that this problem exists when the machine is on battery. 
When connected to AC, the screen operates at full brightness at all times.
Comment 2 Adam Jackson 2007-02-28 11:26:17 EST
Does Fn+Down generate a different message?  In particular does the 'code 0x86'
part change?
Comment 3 Peter Lemieux 2007-02-28 16:42:53 EST
1)  If I boot directly into a shell by adding init=/bin/sh to the kernel command
in grub, I can control the screen brightness with the Fn+Up/Down keys.

2)  If I boot with init into text mode (runlevel 3), I cannot use these keys. 
Pressing the Fn+Dn combination results in "code 0x85" and "e005" replacing the
"0x86" and "e006" that Fn+Up generates.

3)  Obviously I can't use these keys in run level 5 either.
Comment 4 Matěj Cepl 2007-03-01 02:43:48 EST
OK, then very obviously this is not bug in Xorg, but somewhere in the kernel.
Reassigning to different component.
Comment 5 Bug Zapper 2008-04-04 02:18:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:15:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.